/*
 *      Program do przegladania logow z ekg.
 *      Klasa historii okna.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "history.hh"

win_history::win_history(unsigned int i):_lenght(i) {}

const std::string &win_history::operator[](unsigned int i) {
    return _array[i % (_array.size()+1)];
}

void win_history::add(const std::string &str) {
    _array.push_back(str);
}

void win_history::insert(const std::string &str) {
    if(_array.size() > _lenght)
	_array.erase(_array.begin());

    _array.push_back(str);
}

void win_history::clear(void) {
    _array.clear();
}
