/*
 *      Program do przegladania logow z ekg.
 *      Przydatne rzeczy.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __STUFF_HH__
#define __STUFF_HH__

#include <string>
#include <sstream>

extern "C" {
#include <ncurses.h>
}

class bad_string {};

int str2int(const std::string &str);
void print_line(WINDOW *w, const std::string &str);
int color_pair(int fg, int bold, int bg);
int line_lenght(const std::string &str);
const std::string time_string(time_t t);
const char *add_zero(int arg, int width=2);
const char *format_date(time_t t);
void wprintl(WINDOW *w, const std::string &str, int defcolor=0);

/* z mainwin.hh */
class mainwin;
void help_keys(mainwin *w);


template<class C> const std::string 
string_cast(const C &c) {
    std::stringstream tmp;
    std::string str;
    tmp << c;
    tmp >> str;
    return str;
}


template<class C> C
from_string_cast(const std::string &str) {
    std::stringstream tmp;
    C c;
    tmp << str;
    tmp >> c;
    return c;
}



#endif /* __STUFF_HH__ */
