/*
 *      Program do przegladania logow z ekg.
 *      Interfejs uzytkownika.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __UI_HH__
#define __UI_HH__

extern "C" {
#include <ncurses.h>
}

#include "menulist.hh"
#include "config.hh"
#include "mainwin.hh"
#include "dbase.hh"
#include "status.hh"
#include "input.hh"

#include "wersja.hh"

#include "help.hh"
#include "find.hh"
#include "list.hh"

class ui_t {
public:

    friend class command_find;

    ui_t(dbase_t &db);
    ~ui_t(void);

    void main_loop(const std::string &info);

private:

    void refresh(void);
    void check_errors(void);
    void register_command(command_base *c);
    void try_complete(void);
    bool line_is_good(void);
    void check_partial_completition(void);

    menulist *_kontakty, *_rozmowy;
    mainwin *_mainwin, *_info;
    status *_status;
    WINDOW *_win;
    input *_input;

    dbase_t &_db;

    int act;
    int key[2];    /* historia nacisniec klawiszy */

    std::vector<std::string> _events;   /* wektor zdarzen */
    struct _cc { _cc():log(0),chat(0){} int log,chat; } _chosen_chat;

    std::vector<command_base*> _commands;
    std::vector<std::string> _cmplt;
			    /* wektor zarejestrowanych komend */
};

#endif /* __UI_HH__ */
